#
# Base board Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import utime
from machine import UART, Pin

# UARTチャンネルの設定
UART0_CHANNEL = const(0)
UART0_BAUDRATE = const(9600)
UART0_TX_PIN = const(0)
UART0_RX_PIN = const(1)

uart = UART(UART0_CHANNEL, baudrate=UART0_BAUDRATE, tx=Pin(UART0_TX_PIN), rx=Pin(UART0_RX_PIN))

while True:
    uart.write('This is RS232C')
    print('send This is RS232C')
    utime.sleep(1)
