#
# Plant Env Sensor board Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

# GPIO
GPIO_0 = const(0)
GPIO_1 = const(1)
GPIO_2 = const(2)
GPIO_3 = const(3)
GPIO_4 = const(4)
GPIO_5 = const(5)
GPIO_6 = const(6)
GPIO_7 = const(7)
GPIO_8 = const(8)
GPIO_9 = const(9)
GPIO_10 = const(10)
GPIO_11 = const(11)
GPIO_12 = const(12)
GPIO_13 = const(13)
GPIO_14 = const(14)
GPIO_15 = const(15)
GPIO_16 = const(16)
GPIO_17 = const(17)
GPIO_18 = const(18)
GPIO_19 = const(19)
GPIO_20 = const(20)
GPIO_21 = const(21)
GPIO_22 = const(22)
GPIO_26 = const(26)
GPIO_27 = const(27)
GPIO_28 = const(28)
GPIO_LED = const('LED')

# 植物生育環境計測ボード側のI2Cチャンネル
I2C1_CHANNEL = const(1)
I2C1_SCL_PIN = const(GPIO_3)
I2C1_SDA_PIN = const(GPIO_2)
I2C1_FREQ = const(400_000)

# ベースボード側のI2Cチャンネル
I2C0_CHANNEL = const(0)
I2C0_SCL_PIN = const(GPIO_5)
I2C0_SDA_PIN = const(GPIO_4)
I2C0_FREQ = const(400_000)

# I2Cアドレス
BH1750_ADDRESS = 0x23
OLED_ADDRESS = 0x3c
DHT20_ADDRESS = 0x38

# 植物生育環境計測ボード側のADCチャンネル
ADC_CHANNEL1 = const(1)
ADC_CHANNEL2 = const(2)
ANALOG_SENSOR_ON = const(0)
ANALOG_SENSOR_OFF = const(1)

# 待ち時間
MAIN_LOOP_WAIT = const(60)
OLED_SHOW_WAIT = const(1)
PREHEAT_WAIT = const(500)
ONE_WIRE_WAIT = const(750)

# Ambient関連
AMBIENT_CHANNEL_ID = const('')  # AmbientのチャネルIDを設定
AMBIENT_WRITE_KEY = const('')   # Ambientのライトキーを設定
WIFI_SSID = const('')           # 接続するWi-FiのSSIDを設定
WIFI_PASSWORD = const('')       # 接続するWi-Fiのパスワードを設定
WIFI_CONNECT_MAX_WAIT = const(30)

