# fireflake Raspberry Pico W Examples
## はじめに
こちらはfireflakeの、Raspberry Pi Pico W拡張基板向けのサンプルプログラムです。

ドキュメントは下記フォルダにまとめて置いてあります。Pico W拡張基板のドキュメントは、ハードウェア関連のものも、ソフトウェア関連のものも、全てここにあります。

- ff-pico-examples/docs/

サンプルプログラムは下記フォルダにあります。

- ベースボード向けサンプルプログラム
  - ff-pico-examples/baseboard/
- マルチエアーセンサーボード向けサンプルプログラム
  - ff-pico-examples/multiairsensors/
- 植物生育環境計測ボード向けサンプルプログラム
  - ff-pico-examples/plantenvsensors/
- その他のサンプルプログラム
  - ff-pico-examples/others/

ドキュメントには諸々の注意事項も書いてありますので、まず始めに使いたいサンプルプログラムのユーザーガイドをお読みください。それ後サンプルプログラムで遊んでいただくようお願いします。

また、回路を組んだりセンサーを接続してPico W拡張基板を動かすのはショートなどのリスクもありますので、適宜ハードウェア関連のドキュメントもお読みください。

## お問い合わせ・ご連絡
fireflakeへのお問い合わせやご連絡がありましたら下記からお願いします。私たちのプロダクトをお使いいただいたご意見・ご感想などもよろしければお聞かせください。

https://fireflake.jp/inquiry/

それでは、Happy Hacking!
