#
# Plant Env Sensor board Sample Program
#
# Copyright(C) 2024. fireflake,inc.
#

import conf
from machine import Pin
import utime

def main():
    # 植物生育環境計測ボード側LEDセット
    led_green = Pin(conf.GPIO_9, Pin.OUT)
    led_yellow = Pin(conf.GPIO_10, Pin.OUT)
    led_red = Pin(conf.GPIO_11, Pin.OUT)
    led_green.off()
    led_yellow.off()
    led_red.off()
    
    while True:
        led_green.on()
        led_yellow.on()
        led_red.on()
        utime.sleep(1)
        
        led_green.off()
        led_yellow.off()
        led_red.off()
        utime.sleep(1)

if __name__ == "__main__":
    main()
